Upgrade error

Forum for questions and support relating to 1.35.x development only.
Post Reply
DVB Hardware
Posts: 142
Joined: Thu Jan 01, 2015 5:12 pm
Location: Rhode Island

Upgrade error

Post by DVB Hardware » Fri Jan 08, 2021 3:12 pm

The past 3 upgrade attempts in sequential order has produced this error on upgrade.

I have not upgraded Mariadb thus not over written my.cnf if it is the correct file name...cannot remember

I believe when I installed Mariadb root user had a password
Does this mean it is looking for no password ?
Screenshot_5.jpg
Screenshot_5.jpg (95.22 KiB) Viewed 382 times
Jimmy
Linux Mint 20.1 Cinnamon Mariadb using Master

DVB stands for Digital VIdeo Broadcasting , retired satellite downlink supplier

User avatar
knight-of-ni
Posts: 2368
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Upgrade error

Post by knight-of-ni » Fri Jan 08, 2021 4:27 pm

I don't have a running instance of a Debian based machine with mysql in front of me at the moment, so this is from memory.

Debian machines have a sql account called debian-sys-maint. This is what allows debian packages that need sql to configure sql during the package installation process w/o prompting for credentials.

Normally this gets setup for you automatically when you install mysql or mariadb. The magic to make this happen is in this file: /etc/mysql/debian.cnf.
If that file is missing, gets tampered with, or the credentials in that file don't match the credentials saved in the database, then you will get the error you posted.

This blog goes into detail of how to reset this account:
https://janjonas.net/2010-02-25/ubuntu- ... l-password

Good luck.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

warcanoid
Posts: 32
Joined: Mon Feb 17, 2020 3:22 pm

Re: Upgrade error

Post by warcanoid » Tue Jan 12, 2021 7:52 am

Is it possible to upgrade from 1.34 to 1.35 on debian? And then switch back to 1.35 stable when it gets out?

Magic919
Posts: 413
Joined: Wed Sep 18, 2013 6:56 am

Re: Upgrade error

Post by Magic919 » Tue Jan 12, 2021 9:39 am

It's worth running zmupdate as a user with more DB privileges. Shouldn't have to, but I've done it in the 1.35.x series on Ubuntu.

Magic919
Posts: 413
Joined: Wed Sep 18, 2013 6:56 am

Re: Upgrade error

Post by Magic919 » Tue Jan 12, 2021 7:28 pm

warcanoid wrote:
Tue Jan 12, 2021 7:52 am
Is it possible to upgrade from 1.34 to 1.35 on debian? And then switch back to 1.35 stable when it gets out?
1.34 is stable. 1.35 is not. 1.36 will be stable when released.

DVB Hardware
Posts: 142
Joined: Thu Jan 01, 2015 5:12 pm
Location: Rhode Island

Re: Upgrade error

Post by DVB Hardware » Wed Jan 13, 2021 12:27 am

Apparently my root user somehow had a password enabled
I changed root password to no
1.35.16~20210112184157-focal upgraded without error

Jimmy
Linux Mint 20.1 Cinnamon Mariadb using Master

DVB stands for Digital VIdeo Broadcasting , retired satellite downlink supplier

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests